SoIndexedTriangleStripSet(3)

NAME
SoIndexedTriangleStripSet - The SoIndexedTriangleStripSet class keeps data for rendering and otherwise representing triangle strips.

SYNOPSIS

#include <Inventor/nodes/SoIndexedTriangleStripSet.h>

Inherits SoIndexedShape.

  Public Member Functions
virtual SoType getTypeId (void) const
SoIndexedTriangleStripSet (void)
virtual void GLRender (SoGLRenderAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual SbBool generateDefaultNormals (SoState *state, SoNormalBundle *nb)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoIndexedTriangleStripSet ()
virtual SbBool generateDefaultNormals (SoState *state, SoNormalCache *nc)
virtual void generatePrimitives (SoAction *action)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoIndexedTriangleStripSet class keeps data for rendering and otherwise representing triangle strips. Use nodes of this type as an effective way of drawing triangles which are strung together.

For more information, see the documentation of the SoTriangleStripSet node.

To render several strips within the same node, just separate the coordinate indices with -1. For more information about indexed shapes, see documentation in SoIndexedShape and SoIndexedFaceSet.

Example scene graph:

#Inventor V2.1 ascii
Separator {
   Coordinate3 {
      point [
       -2 1 0, -1 -1 0, 0 1 0, 1 -1 0, 2 1 0, # first strip, z==0
       -2 1 5, -1 -1 5, 0 1 5, 1 -1 5, 2 1 5  # second strip, z==5
      ]
   }
   IndexedTriangleStripSet {
      coordIndex [
       0, 1, 2, 3, 4, -1,
       5, 6, 7, 8, 9, -1
      ]
   }
}

FILE FORMAT/DEFAULTS:

IndexedTriangleStripSet {
    vertexProperty NULL
    coordIndex 0
    materialIndex -1
    normalIndex -1
    textureCoordIndex -1
}

Constructor & Destructor Documentation

  SoIndexedTriangleStripSet::SoIndexedTriangleStripSet (void)
Constructor. Default field values will equal those set in the SoIndexedShape parent class.

  SoIndexedTriangleStripSet::~SoIndexedTriangleStripSet () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoIndexedTriangleStripSet::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoIndexedTriangleStripSet::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoIndexedShape.

  const SoFieldData ** SoIndexedTriangleStripSet::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoIndexedTriangleStripSet::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoIndexedShape.

  void SoIndexedTriangleStripSet::initClass (void) [static]

  void SoIndexedTriangleStripSet::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoShape.

  void SoIndexedTriangleStripSet::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoShape.

  SbBool SoIndexedTriangleStripSet::generateDefaultNormals (SoState * state, SoNormalBundle * bundle) [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Subclasses should override this method to generate default normals using the SoNormalBundle class. TRUE should be returned if normals were generated, FALSE otherwise.

Default method returns FALSE.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Reimplemented from SoVertexShape.

  SbBool SoIndexedTriangleStripSet::generateDefaultNormals (SoState * state, SoNormalCache * cache) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Subclasses should override this method to generate default normals using the SoNormalCache class. This is more effective than using SoNormalGenerator. Return TRUE if normals were generated, FALSE otherwise.

Default method just returns FALSE.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Reimplemented from SoVertexShape.

  void SoIndexedTriangleStripSet::generatePrimitives (SoAction * action) [protected], [virtual]
The method implements action behavior for shape nodes for SoCallbackAction. It is invoked from SoShape::callback(). (Subclasses should not override SoNode::callback().)

The subclass implementations uses the convenience methods SoShape::beginShape(), SoShape::shapeVertex(), and SoShape::endShape(), with SoDetail instances, to pass the primitives making up the shape back to the caller.

Implements SoShape.

Author

Generated automatically by Doxygen for Coin from the source code.